Bug 134195 - polygon icons reversed in Draw
polygon icons reversed in Draw
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-30 00:20 EDT by Joe Smith
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 07:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot shows incorrect/correct appearance (28.09 KB, image/png)
2004-09-30 00:23 EDT, Joe Smith
no flags Details

  None (edit)
Description Joe Smith 2004-09-30 00:20:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Some icons in the "curve" floating tool window of OOo Draw are
reversed: the two filled polygon icons are switched with the unfilled
polygon icons just above.


Version-Release number of selected component (if applicable):
openoffice.org-1.1.1-4

How reproducible:
Always

Steps to Reproduce:
1. Start OOo, File > New > Drawing
2. The "Main Toolbar" should be visible on the left of the app window.
3. Click & hold the "Curve" icon until the floating window pops up.
4. Note that the filled/unfilled polygon icons are reversed
    

Actual Results:  Function is correct; icons are reversed.
Tooltips are correct.

Expected Results:  Icons should match function.

Additional info:
Comment 1 Joe Smith 2004-09-30 00:23:30 EDT
Created attachment 104563 [details]
Screenshot shows incorrect/correct appearance
Comment 2 Caolan McNamara 2004-10-04 05:35:20 EDT
caolanm->dcbw:
I think the solution is in ooo-icons-bluecurve-OOO_1_1-9.tar.gz in the
res dir to...
a) swap lc10117.bmp and lc10395.bmp.
b) swap lc10394.bmp and lc10396.bmp
sd/source/ui/func/fuslshow.cxx contains the identifiers for these ids

I can give it a go if you want :-)
Comment 3 Caolan McNamara 2004-10-07 11:07:41 EDT
Fixed, the next release after -9 will have these the right way around
Comment 4 Caolan McNamara 2004-10-22 07:31:51 EDT
fine in openoffice.org-1.1.2-10 for fc3/fc2

Note You need to log in before you can comment on or make changes to this bug.